Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.ajax.api
Interface AjaxRenderer

All Known Implementing Classes:
  AutoUpdateDataTableRenderer, InputSuggestAjaxRenderer

public interface AjaxRenderer

Version:
  $Revision: $ $Date: $

  $Log: $
Author:
  Martin Marinschek

Method Summary
`void` | `encodeAjax(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Method Detail

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD